Bug 963903 - Review Request: perl-Net-INET6Glue - Make common modules IPv6 ready by hotpatching
Review Request: perl-Net-INET6Glue - Make common modules IPv6 ready by hotpat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 14:35 EDT by Ken Dreyer
Modified: 2013-09-26 20:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Net-INET6Glue-0.5-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rc040203: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-05-16 14:35:16 EDT
Spec URL: http://ktdreyer.fedorapeople.org/reviews/perl-Net-INET6Glue.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/perl-Net-INET6Glue-0.5-1.fc20.src.rpm

Description: Net::INET6Glue is a collection of modules to make common modules IPv6 ready by hotpatching them.

Fedora Account System Username: ktdreyer

F20 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5389896
EL6 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5389920

(I won't be supporting EL5 in this package.)
Comment 1 Ralf Corsepius 2013-05-19 02:56:55 EDT
(In reply to comment #0)
> (I won't be supporting EL5 in this package.)
Non-issue: AFAICT, in this case, you can remove BuildRoot, rm -rf %{buildroot} etc. from the spec (I currently can't verify).

However, there is one major issue:

This package's Makefile.PL expects interactive input:
This causes rpmbuild'ing the package (outside of mock) to wait for keyboard input, i.e. rpmbuild to hang:
# rpmbuild --rebuild /tmp/perl-Net-INET6Glue-0.5-1.fc20.src.rpm
...
Should I do external tests?
These tests will fail if there is no internet connection or if a firewall
blocks active or passive IPv6 FTP traffic.
[y/N] [n]
Comment 2 Ken Dreyer 2013-05-20 13:25:41 EDT
Thanks Ralf, here's release 2.

* Sun May 19 2013 Ken Dreyer <ktdreyer@ktdreyer.com> 0.5-2
- Run Makefile.pl with PERL_MM_USE_DEFAULT=1 so that we skip the prompt during
  an interactive rpmbuild session (eg. outside of mock).
- Remove BuildRoot and rm -rf $RPM_BUILD_ROOT. (EL5 compat not required.)

Spec URL: http://ktdreyer.fedorapeople.org/reviews/perl-Net-INET6Glue.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/perl-Net-INET6Glue-0.5-2.fc20.src.rpm
Comment 3 Ralf Corsepius 2013-08-20 02:13:02 EDT
Sorry, for this review having taken so long, but I simply had forgotten about it.

Nothing much to say about it: APPROVED


Two minor issues:

1) Redundant "Requires:"

# rpm -q --requires -p perl-Net-INET6Glue-0.5-2.fc18.noarch.rpm 
...
perl(IO::Socket::INET6)
perl(IO::Socket::INET6) >= 2.54
...

The first R: perl(IO::Socket::INET6) is redundant to the second one.
Consider to filter the first one from inside of the spec rsp. to remove the versioned one from the spec.


2) Consider to add these perl-modules to "BR:"
perl(Carp)
perl(IO::Socket::INET)
perl(IO::Socket::INET6)
perl(Net::FTP)
perl(Socket)
perl(strict)
perl(warnings)

Other reviewers would insist on them, I don't.
Comment 4 Ken Dreyer 2013-09-09 23:42:36 EDT
New Package SCM Request
=======================
Package Name: perl-Net-INET6Glue
Short Description: Make common modules IPv6 ready by hotpatching them
Owners: ktdreyer
Branches: f19 f20 el6
Comment 5 Ralf Corsepius 2013-09-10 01:03:55 EDT
Please add 
InitialCC: perl-sig

as described on http://fedoraproject.org/wiki/Packaging:Perl
Comment 6 Ken Dreyer 2013-09-10 03:20:26 EDT

New Package SCM Request
=======================
Package Name: perl-Net-INET6Glue
Short Description: Make common modules IPv6 ready by hotpatching them
Owners: ktdreyer
Branches: f19 f20 el6
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2013-09-10 07:52:49 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-09-10 14:10:13 EDT
perl-Net-INET6Glue-0.5-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Net-INET6Glue-0.5-3.fc20
Comment 9 Fedora Update System 2013-09-10 14:28:29 EDT
perl-Net-INET6Glue-0.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Net-INET6Glue-0.5-3.fc19
Comment 10 Fedora Update System 2013-09-10 14:29:15 EDT
perl-Net-INET6Glue-0.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Net-INET6Glue-0.5-3.el6
Comment 11 Ken Dreyer 2013-09-10 14:31:10 EDT
Thank you Ralf for the thorough review. In Git I pushed the initial "-2" release, and then a second Git commit for release "-3" with your suggested changes for Requires/BuildRequires.
Comment 12 Fedora Update System 2013-09-11 14:08:24 EDT
perl-Net-INET6Glue-0.5-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2013-09-21 04:37:20 EDT
perl-Net-INET6Glue-0.5-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-09-22 20:06:29 EDT
perl-Net-INET6Glue-0.5-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2013-09-26 20:31:22 EDT
perl-Net-INET6Glue-0.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.